/*
   HARK Library
   Copyright (C) 2021 Honda Research Institute Japan Inc.
 */

#include "hark-lib/object.h"

namespace hark
{
    object::object()
    {
    }

    object::~object()
    {
    }

    int object::types::any = 0;

    std::ostream &
    object::write(std::ostream &os) const
    {
        os << "object";
        return os;
    }

    std::ostream &
    operator << (std::ostream &os, const object &value){
        value.write(os);
        return os;
    }
}

/* end of file */
